

local T = {

    Exterior = {
        Model="models/FuzzyLeo/EdgeOfReality/ExteriorJodiehollow.mdl",
        DoorAnimationTime = 0.55,
        ScannerOffset = Vector(25,0,70),
        Parts = {
            door = {
                Model="models/FuzzyLeo/EdgeOfReality/ExteriorJodieDoorsHollow.mdl",
                posoffset=Vector(-26.632, 0, -48),
            },
        },
        PhaseMaterial = "models/FuzzyLeo/EdgeOfReality/phasemat.vmt",
        Sounds = {
            Teleport = {
                demat = "FuzzyLeo/EdgeOfReality/BBC_TARDIS_TakeOff_DK2.mp3",
                mat = "FuzzyLeo/EdgeOfReality/BBC_TARDIS_Land_DK.wav",

                demat_damaged = "FuzzyLeo/EdgeOfReality/CoolyDude/coral_damaged_takeoff.wav",
                mat_damaged = "FuzzyLeo/EdgeOfReality/CoolyDude/coral_damaged_landing.wav",

                mat_damaged_fast = "p00gie/tardis/mat_damaged_fast.wav",
                fullflight = "FuzzyLeo/EdgeOfReality/CoolyDude/coral_fast_flight.mp3",
                fullflight_damaged = "FuzzyLeo/EdgeOfReality/CoolyDude/coral_damaged_fast_flight.wav",
                interrupt = "drmatt/tardis/repairfinish.wav",
            },

            RepairFinish = "drmatt/tardis/repairfinish.wav",

            Door={
                enabled=true,
                open="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_open.mp3",
                close="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_close_3.mp3",
                locked = "FuzzyLeo/EdgeOfReality/EORDoorLock.mp3"
            },
            FlightLoop = "drmatt/tardis/flight_loop.wav",
            FlightLoopDamaged = "drmatt/tardis/flight_loop_damaged.wav",
            FlightLand = "p00gie/tardis/default/tardis_land.ogg",
        },
        ProjectedLight = {
            -- color = Color(255, 184, 53), --Base color. Will use main interior light if not set.
            --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
            brightness = 0.1, --Light's brightness
            vertfov = 90,
            horizfov = 60, --vertical and horizontal field of view of the light. Will default to portal height and width.
            farz = 450, --FarZ property of the light. Determines how far the light projects.]]
            offset = Vector(-18, 0, 40), --Offset from box origin
            texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
        },
        Light={
            enabled=true,
            pos=Vector(0, 0, 113),
            color = Color(4,50,168),
        },
        Portal = {
            -- Generated by portals debug tool
            pos = Vector(26.632, 0, 48),
            ang = Angle(0, 0, 0),
            width = 42,
            height = 84.6,
            thickness = 35,
            exit_point_offset = {
                pos = Vector(0,0,1),
                ang = Angle(0, 0, 0),
            },
            inverted = true,
        },
        Fallback={
            pos=Vector(48,0,6),
            ang=Angle(0,0,0)
        },
        Teleport = {
            SequenceSpeed = 0.77,
            SequenceSpeedWarning = 0.6,
            SequenceSpeedFast = 0.935,
            SequenceSpeedHads = 1.8,
            SequenceSpeedWarnFast = 0.97,
            DematSequence = {
                200,
                100,
                150,
                50,
                100,
                0
            },
            DematSequenceDelays={
                [1] = 4
            },
            MatSequence = {
                50,
                150,
                100,
                200,
                150,
                255
            },
            MatSequenceDelays={
                [1] = 2
            },
        },


        TextureSets = {
            ["normal"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/",

                { "self", 0, "tardis" },
                { "door", 0, "tardis" },

                { "self", 2, "tardis_white" },
                { "door", 3, "tardis_white" },

                { "self", 4, "tardis_alt1" },
                { "door", 5, "tardis_alt1" },

                { "self", 5, "tardis_alt2" },
                { "door", 6, "tardis_alt2" },

                { "self", 6, "tardis_alt3" },
                { "door", 7, "tardis_alt3" },

                { "self", 7, "tardis_alt4" },
                { "door", 8, "tardis_alt4" },

            },
            ["flight"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/",
                base = "normal",
            },
            ["warning_flight"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
                base = "normal",
            },
            ["poweroff"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/off/",
                base = "normal",
            },
            ["warning_off"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/off/",
                base = "normal",
            },
            ["warning"] = {
                prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
                base = "normal",
            },
        },
    },
}


TARDIS:AddInteriorTemplate("edgeoftime_box", T)
TARDIS:AddInteriorTemplate("edgeoftime_box", Exterior)